#
# spec file for package 3d_chess (Version 0.8.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xaw3d xf86 xpm
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         3d_chess
Copyright:    GPL
Group:        X11/Games/Strategy
Provides:     3Dc 3d-chess 
Autoreqprov:  on
Version:      0.8.1
Release:      404
Summary:      3 dimensional chess
Source: 3Dc-%{version}.tar.bz2
Patch: 3Dc-%{version}.dif
BuildRoot: /var/tmp/%{name}-build

%description
3-Dimensional Chess for X11R6.  Three boards, 96 pieces and 26 directions.
Rules are to be found under /usr/share/doc/packages/3d-chess/3Dc-rules.html.

Authors:
--------
    Paul Hicks <paulh@euristix.ie>

SuSE series: fun

%prep
%setup -n 3Dc
%patch

%build
make -C src all

%install
install -d -m755 $RPM_BUILD_ROOT/usr/X11R6/bin
make DESTDIR=$RPM_BUILD_ROOT -C src install

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/*
%doc 3Dc-rules.html

%changelog -n 3d_chess
* Mon Jul 30 2001 - dan@suse.cz
- use bzip instead of gzip
* Thu Apr 13 2000 - vinil@suse.cz
- got rid of Makefile.Linux
- spec file cleanup
- buildroot added
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Nov 09 1998 - ro@suse.de
- dont include ulimit.h for glibc-2.0
